<template>
  <div class="faSub">
    <template v-for="item in menuData">
      <el-submenu
        v-if="item.children && item.children.length > 0"
        :key="item.id"
        :index="item.id + ''"
      >
        <template slot="title">{{
          $store.state.lang == 'zh' ? item.cnName : item.enName
        }}</template>
        <MenuTree :menuData="item.children"></MenuTree>
      </el-submenu>
      <el-menu-item
        v-else
        :key="item.id"
        :perms="item"
        :index="item.url == null ? item.id.toString() : item.url + ''"
      >
        <span slot="title">{{
          $store.state.lang == 'zh' ? item.cnName : item.enName
        }}</span>
      </el-menu-item>
    </template>
  </div>
</template>

<script>
export default {
  props: ['menuData'],
  name: 'MenuTree',
  data() {
    return {
      name: '',
    };
  },
};
</script>
 
